Package weka.classifiers.meta

# Class StackingC

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.MultipleClassifiersCombiner
weka.classifiers.RandomizableMultipleClassifiersCombiner
weka.classifiers.meta.Stacking
weka.classifiers.meta.StackingC

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `Randomizable`, `RevisionHandler`, `TechnicalInformationHandler`

public class StackingC extends Stacking implements OptionHandler, TechnicalInformationHandler
Implements StackingC (more efficient version of stacking).
For more information, see
A.K. Seewald: How to Make Stacking Better and Faster While Also Taking Care of an Unknown Weakness. In: Nineteenth International Conference on Machine Learning, 554-561, 2002.
Note: requires meta classifier to be a numeric prediction scheme.

BibTeX:

     @inproceedings{Seewald2002,
        author = {A.K. Seewald},
        booktitle = {Nineteenth International Conference on Machine Learning},
        editor = {C. Sammut and A. Hoffmann},
        pages = {554-561},
        publisher = {Morgan Kaufmann Publishers},
        title = {How to Make Stacking Better and Faster While Also Taking Care of an Unknown Weakness},
        year = {2002}
     }

Valid options are:

     -M <scheme specification>
      Full name of meta classifier, followed by options.
      Must be a numeric prediction scheme. Default: Linear Regression.

     -X <number of folds>
      Sets the number of cross-validation folds.

     -S <num>
      Random number seed.
      (default 1)

     -B <classifier specification>
      Full class name of classifier to include, followed
      by scheme options. May be specified multiple times.
      (default: "weka.classifiers.rules.ZeroR")

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

Version:
  $Revision: 1.15 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz), Alexander K. Seewald (alex@seewald.at)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StackingC()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`distributionForInstance(Instance instance)`
Classifies a given instance using the stacked classifier.
`String`
`getRevision()`
Returns the revision string.
`TechnicalInformation`
`getTechnicalInformation()`
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`String`
`globalInfo()`
Returns a string describing classifier
`static void`
`main(String[] argv)`
Main method for testing this class.
`String`
`toString()`
Output a representation of this classifier

### Methods inherited from class weka.classifiers.meta.Stacking

`buildClassifier, getCapabilities, getMetaClassifier, getNumFolds, getOptions, listOptions, metaClassifierTipText, numFoldsTipText, setMetaClassifier, setNumFolds, setOptions`

### Methods inherited from class weka.classifiers.RandomizableMultipleClassifiersCombiner

`getSeed, seedTipText, setSeed`

### Methods inherited from class weka.classifiers.MultipleClassifiersCombiner

`classifiersTipText, getClassifier, getClassifiers, setClassifiers`

### Methods inherited from class weka.classifiers.Classifier

`classifyInstance, debugTipText, forName, getDebug, makeCopies, makeCopy, setDebug`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface weka.core.OptionHandler

`getOptions, listOptions, setOptions`

## Constructor Details

### StackingC

public StackingC()
The constructor.

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing classifier

Overrides:
  `globalInfo` in class `Stacking`
Returns:
  a description suitable for displaying in the explorer/experimenter gui

### getTechnicalInformation

public TechnicalInformation getTechnicalInformation()
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

Specified by:
  `getTechnicalInformation` in interface `TechnicalInformationHandler`
Overrides:
  `getTechnicalInformation` in class `Stacking`
Returns:
  the technical information about this class

### distributionForInstance

public double[] distributionForInstance(Instance instance) throws Exception
Classifies a given instance using the stacked classifier.

Overrides:
  `distributionForInstance` in class `Stacking`
Parameters:
  `instance` - the instance to be classified
Returns:
  the distribution
Throws:
  `Exception` - if instance could not be classified successfully

### toString

public String toString()
Output a representation of this classifier

Overrides:
  `toString` in class `Stacking`
Returns:
  a string representation of the classifier

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Stacking`
Returns:
  the revision

### main

public static void main(String[] argv)
Main method for testing this class.

Parameters:
  `argv` - should contain the following arguments: -t training file [-T test file] [-c class index]